// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../FormatValidation";
export default class AddExternalPauseRequest extends ValidatedRequest {
    securityId;
    externalPauseAddress;
    constructor({ securityId, externalPauseAddress }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            externalPauseAddress: FormatValidation.checkHederaIdFormatOrEvmAddress(),
        });
        this.securityId = securityId;
        this.externalPauseAddress = externalPauseAddress;
    }
}
